      .ARMS_off                     ;enable assembler for ARMS=0
      .CPL_on                      ;enable assembler for CPL=1
      .mmregs                       ;enable mem mapped register names

	.global _echoInput
	.global _farmemdata

	.copy "macro.asm"

	.sect ".data"


	.align 2*1024
tempspace .space 16*1024	

	.sect ".text"


_echoInput

	ENTER_ASM

	; T0 contains sample number
	; XAR0 contains address of first input
	; XAR1 contains address of first output
	
	; To get the beginning address of _lotsofdata, use AMAR
	; Example merely overwrites the beginning 1024 of _lotsofdata

	AMAR *(#_farmemdata), XAR3
	MOV	T0, AR2
	AMAR *AR2-
	MOV	AR2, BRC0
	RPTB end_loop-1
	;MOV *AR0+, *AR1+
	MOV *AR0+, *AR3
	MOV *AR3+, *AR1+
end_loop:

	

	LEAVE_ASM

	RET

	; If you need any more assembly subroutines, make sure you name them
	; _name, and include a ".global _name" directive at the top. Also,
	; don't forget to use ENTER_ASM at the beginning, and LEAVE_ASM
	; and RET at the end!